Subject: Re: Bash, history file, and Tcl
From: [email-masked] (Jim Balter)

21 Jan 1997 23:03:14 -0800
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
X-Mailer: Mozilla 3.01Gold (WinNT; I)
Original-To: "[email-masked]'" <[email-masked]>
Original-Sender: [email-masked]

> One question remains, however--does mounting "C:" in binary mode break
> non-GNU-Win32 programs?  In particular, I use NTemacs which seems to
> insist on handling files in text mode.  Did I miss something that avoids
> the problem?
> 
> Not that I could see, in reading through the faq, and online docs

The NTEmacs switch is (using-unix-filesystems t)
but that hits everything.  You can do it fs by fs (actually dir tree by
dir tree) by using untranslate.el; search the NTEmacs FAQ (
http://www.cs.washington.edu/homes/voelker/ntemacs.html
) for "untranslate".

>         c = getchar();
>         while (c != EOF) {
>                 /* Eat any \r's... they shouldn't be here */
>                 while (c == '\r') c = getchar();
>                 if (c == EOF) break;
>                 putchar(c);
>                 c = getchar();
>         }

Uh, sure, if you are into obfuscation and exercising the optimizer, but

        while ((c = getchar()) != EOF)
                if (c != '\r')
                        putchar(c);

does exactly the same thing.

--
<J Q B>
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".